public class XMLException extends RuntimeException { 

 public XMLException(int line, int column, String message) { 
  super ("In line " + line + " column " + column + ": " + message);
  this.line = line;
  this.column = column;
  this.message = message;
 }

 public XMLException(String message) { 
  super (message);
  this.message = message;
 }

 public String getMessageText() { 
  return message;
 }
    
 public int getLine() { 
  return line;
 }

 public int getColumn() { 
  return column;
 }

 private int line;
 private int column;
 private String message;
}
